Get library
GET
https://api.catenda.com/v2/projects/{project-id}/libraries/{library-id}
Path Parameters
- project-idstringrequiredExampleDescription
- library-idstringrequiredDescription
Responses
200
- libraryDescription
- idstringExampleDescription
- namestringExampleDescription
- typestring<document | link | embedded_value | classification>ExampleDescriptionAlloweddocumentlinkembedded_valueclassification
- createdByuserDescription
- idstringExampleDescription
- namestringExampleDescription
- usernamestringExampleDescription
- emailstringExampleDescription
- createdAtstringExampleDescription
- avatarUrlstringExampleDescription
- typestring<user | organization | team>ExampleDescriptionAlloweduserorganizationteam
curl
curl --request GET \
--url https://api.catenda.com/v2/projects/{project-id}/libraries/{library-id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.catenda.com/v2/projects/{project-id}/libraries/{library-id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.catenda.com/v2/projects/{project-id}/libraries/{library-id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.catenda.com/v2/projects/{project-id}/libraries/{library-id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// OK
{
"id": "954803076a694255b959d236517b55da",
"name": "Library Name",
"type": "document",
"createdBy": {
"id": "524809076a694255b989d236517a55da",
"name": "John Doe",
"username": "[email protected]",
"email": "[email protected]",
"createdAt": "2016-09-20T14:55:22.000Z",
"avatarUrl": "https://api.catenda.com/v2/avatar/397t0ccd8f74516096c738de15dc6512",
"type": "user"
}
}